org.apache.lucene.analysis.ru

## Class RussianLetterTokenizerFactory

- java.lang.Object
- - org.apache.lucene.analysis.util.AbstractAnalysisFactory
  - - org.apache.lucene.analysis.util.TokenizerFactory
    - - org.apache.lucene.analysis.ru.RussianLetterTokenizerFactory

- Deprecated.
  Use `StandardTokenizerFactory` instead. This tokenizer has no Russian-specific functionality.

      @Deprecated
      public class RussianLetterTokenizerFactory
      extends TokenizerFactory

- - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory

      `args, luceneMatchVersion`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RussianLetterTokenizerFactory()` Deprecated.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `RussianLetterTokenizer` | `create(Reader in)` Deprecated. Creates a TokenStream of the specified input
    `void` | `init(Map<String,String> args)` Deprecated. Initialize this factory via a set of key-value pairs.

    - ### Methods inherited from class org.apache.lucene.analysis.util.TokenizerFactory

      `availableTokenizers, forName, lookupClass, reloadTokenizers`

    - ### Methods inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory

      `assureMatchVersion, getArgs, getBoolean, getBoolean, getInt, getInt, getInt, getLines, getLuceneMatchVersion, getOriginalArgs, getPattern, getSnowballWordSet, getWordSet, setLuceneMatchVersion, splitFileNames`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RussianLetterTokenizerFactory

          public RussianLetterTokenizerFactory()

      Deprecated.

  - ### Method Detail

    - #### init

          public void init(Map<String,String> args)

      Deprecated.
      Description copied from class: `AbstractAnalysisFactory`
      Initialize this factory via a set of key-value pairs.
      Overrides:
        `init` in class `AbstractAnalysisFactory`

    - #### create

          public RussianLetterTokenizer create(Reader in)

      Deprecated.
      Description copied from class: `TokenizerFactory`
      Creates a TokenStream of the specified input
      Specified by:
        `create` in class `TokenizerFactory`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.